use strict;
use Test::More;

require_ok "App::Cmd::CommandRole::UTF8";

{
    my $output = `t/script/cmd.pl 2>&1`;
    die unless $? == 0;
    like $output, qr/^Wide character in printf/m;
}

{
    my $output = `t/script/cmdu.pl 2>&1`;
    die unless $? == 0;
    unlike $output, qr/^Wide character in printf/m;
}

done_testing;
